package com.ruoyi.common.enums;

/**
 * 业务操作类型
 *
 * @author ruoyi
 */
public enum BusinessType
{
    /**
     * 其它
     */
    OTHER,

    /**
     * 新增
     */
    INSERT,

    /**
     * 修改
     */
    UPDATE,

    /**
     * 删除
     */
    DELETE,

    /**
     * 授权
     */
    GRANT,

    /**
     * 导出
     */
    EXPORT,

    /**
     * 导入
     */
    IMPORT,

    /**
     * 强退
     */
    FORCE,

    /**
     * 生成代码
     */
    GENCODE,

    /**
     * 清空数据
     */
    CLEAN,

    // 同步数据
    SYNC,

    // 审核
    VERIFY,

    // 禁用
    DISABLE,
    // 启用
    ENABLE,
    // 取消提交
    CANCEL,
    // 提交
    SUBMIT,
    // 入库
    STOCK_IN,
    // 完工
    FINISH,
}
