package com.ruoyi.bst.app.domain;

import com.ruoyi.common.annotation.Sensitive;
import com.ruoyi.common.enums.DesensitizedType;
import lombok.Data;

/**
 * @author wjh
 * 2025/1/10
 */
@Data
public class AppConfig {

    // 应用ID（微信、支付宝）
    private String appId;

    // 微信
    // 应用秘钥
    @Sensitive(desensitizedType = DesensitizedType.PASSWORD)
    private String appSecret;

    // 支付宝
    // 应用私钥
    @Sensitive(desensitizedType = DesensitizedType.PASSWORD)
    private String privateKey;
    // AES秘钥
    @Sensitive(desensitizedType = DesensitizedType.PASSWORD)
    private String aesPrivateKey;
    // 应用公钥证书地址
    private String appCertPath;
    // 支付宝公钥证书地址
    private String alipayCertPath;
    // 支付宝根证书地址
    private String alipayRootCertPath;

}
