package com.ruoyi.bst.fault.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 故障对象 bst_fault
 *
 * @author ruoyi
 * @date 2025-03-26
 */
@Data
public class Fault extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "用户")
    @ApiModelProperty("用户")
    private String userName;

    @Excel(name = "车辆编号")
    @ApiModelProperty("车辆编号")
    private Long vehicleCode;

    @Excel(name = "图片")
    @ApiModelProperty("图片")
    private String picture;

    @Excel(name = "订单编号")
    @ApiModelProperty("订单编号")
    private String orderId;

    @Excel(name = "故障部位")
    @ApiModelProperty("故障部位")
    private String faultSite;

    @Excel(name = "故障详情")
    @ApiModelProperty("故障详情")
    private String faultDetail;

    @Excel(name = "状态")
    @ApiModelProperty("状态")
    private String appealStatus;

}
