package com.ruoyi.iot.domain;

import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import lombok.Data;

/**
 * 设备传来的数据
 * @author wjh
 * 2024/3/20
 */
@Data
public class IotDeviceInfo {

    // mac
    private String mac;

    // 时间
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime at;   

    // 系统信息
    private IotDeviceSysInfo sys;
    
}
