package com.ruoyi.system.user.service.impl;

import java.math.BigDecimal;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ruoyi.system.user.domain.UserQuery;
import com.ruoyi.system.user.mapper.UserMapper;
import com.ruoyi.system.user.service.UserDashboard;

@Service
public class UserDashboardImpl implements UserDashboard {

    @Autowired
    private UserMapper userMapper;

    @Override
    public BigDecimal selectMaxOfPoint(UserQuery query) {
        return userMapper.selectMaxOfPoint(query);
    }

    @Override
    public int selectCount(UserQuery query) {
        return userMapper.selectCount(query);
    }
}
