package com.ruoyi.common.constant;

/**
 * 缓存的key 常量
 *
 * @author ruoyi
 */
public class CacheConstants
{
    /**
     * 登录用户 redis key
     */
    public static final String LOGIN_TOKEN_KEY = "login_tokens:";

    /**
     * 验证码 redis key
     */
    public static final String CAPTCHA_CODE_KEY = "captcha_codes:";

    /**
     * 参数管理 cache key
     */
    public static final String SYS_CONFIG_KEY = "sys_config:";

    /**
     * 字典管理 cache key
     */
    public static final String SYS_DICT_KEY = "sys_dict:";

    /**
     * 防重提交 redis key
     */
    public static final String REPEAT_SUBMIT_KEY = "repeat_submit:";

    /**
     * 限流 redis key
     */
    public static final String RATE_LIMIT_KEY = "rate_limit:";

    /**
     * 登录账户密码错误次数 redis key
     */
    public static final String PWD_ERR_CNT_KEY = "pwd_err_cnt:";
    /**
     * 微信access_token
     */
    public static final String WX_ACCESS_TOKEN = "wx_access_token";
    /**
     * 项目名称列表
     */
    public static final String PROJECT_NAME_LIST = "project_name_list";
    /**
     * 用户名称列表
     */
    public static final String USER_NAME_LIST = "user_name_list";
    /**
     * 部门名称列表
     */
    public static final String DEPT_NAME_LIST = "dept_name_list";
    /**
     * 资源分类名称列表
     */
    public static final String ATTACH_CLASSIFY_NAME_LIST = "attach_classify_name_list";
    /**
     * websocket用户session
     */
    public static final String WS_USER_SESSION = "ws_user_session:";
    /**
     * 所有应用列表
     */
    public static final String ALL_APP_LIST = "all_app_list";
    /**
     * 所有渠道列表
     */
    public static final String CHANNEL_NAME_LIST = "channel_name_list";
    /**
     * 设备在线状态
     */
    public static final String DEVICE_ONLINE_STATUS = "device_online_status:";
    /**
     * 设备离线计数
     */
    public static final String DEVICE_OFFLINE_INCREMENT = "device_offline_increment:";

    /**
     * 定位日志队列
     */
    public static final String LOCATION_LOG_QUEUE = "location_log_queue";
}
