package com.ruoyi.common.pay.wx.domain.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.math.BigDecimal;

/**
 * 微信商家转账场景
 * @author wjh
 * 2024/4/1
 */
@AllArgsConstructor
@Getter
public enum WxTransferScene {

    WITHDRAW(new BigDecimal(500), "提现");

    private final BigDecimal limitAmount;   // 微信单笔限额
    private final String remark;            // 场景描述

}
