package com.ruoyi.bst.area.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = true)
public class AreaVO extends Area {

    @ApiModelProperty("用户名称")
    private String userName;

    @ApiModelProperty("创建人名称")
    private String createName;

    @ApiModelProperty("停车区数量")
    private Integer parkingAreaCount;

    @ApiModelProperty("禁停区数量")
    private Integer noParkingAreaCount;

    @ApiModelProperty("禁行区数量")
    private Integer noRideAreaCount;

    @ApiModelProperty("代理商ID")
    private Long agentId;
}
