package com.ruoyi.bst.device.domain;

import java.math.BigDecimal;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class DeviceVO extends Device {

    @ApiModelProperty("直属用户名称")
    private String mchName;

    @ApiModelProperty("直属用户分成")
    private BigDecimal mchPoint;

    @ApiModelProperty("车型名称")
    private String modelName;

    @ApiModelProperty("型号满电电压")
    private BigDecimal modelFullVoltage;

    @ApiModelProperty("型号亏电电压")
    private BigDecimal modelLowVoltage;

    @ApiModelProperty("型号套餐ID列表")
    private List<Long> modelSuitIds;

    @ApiModelProperty("运营区名称")
    private String areaName;

    @ApiModelProperty("运营区用户分成")
    private BigDecimal areaUserPoint;

    @ApiModelProperty("运营区用户ID")
    private Long areaUserId;

    @ApiModelProperty("运营区代理商分成")
    private Long areaAgentPoint;

    @ApiModelProperty("运营区代理商ID")
    private BigDecimal areaAgentId;

}
