package com.ruoyi.bst.order.domain;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class OrderVO extends Order {

    @ApiModelProperty("运营区名称")
    private String areaName;

    @ApiModelProperty("用户名称")
    private String userName;

    @ApiModelProperty("支付单号")
    private String payNo;

    @ApiModelProperty("支付已退款金额")
    private BigDecimal payRefunded;

    @ApiModelProperty("用户手机号")
    private String userPhone;
}
