package com.ruoyi.bst.order.domain.dto;

import javax.validation.constraints.NotNull;

import com.ruoyi.bst.order.domain.vo.OrderPrePriceVO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class OrderCreateDTO {

    @ApiModelProperty("下单用户ID")
    private Long userId;

    @ApiModelProperty("设备ID")
    @NotNull(message = "设备ID不能为空")
    private Long deviceId;

    @ApiModelProperty("套餐ID")
    @NotNull(message = "套餐ID不能为空")
    private Long suitId;

    @ApiModelProperty("价格信息")
    private OrderPrePriceVO price;
    
}
