package com.ruoyi.bst.order.domain.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class OrderPayDTO {

    @ApiModelProperty("订单编号")
    @NotBlank(message = "订单编号不能为空")
    private String no;

    @ApiModelProperty("应用ID")
    @NotNull(message = "应用ID不能为空")
    private Long appId;

    @ApiModelProperty("支付渠道ID")
    @NotNull(message = "支付渠道ID不能为空")
    private Long channelId;
    
}
