package com.ruoyi.system.dept.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Collection;
import java.util.List;

/**
 * @author wjh
 * 2024/11/7
 */
@Data
public class DeptQuery extends DeptVO {

    @ApiModelProperty("部门名称列表")
    private List<String> deptNames;

    @ApiModelProperty("ERP部门ID列表")
    private Collection<String> erpIds;

    @ApiModelProperty("部门ID列表")
    private List<Long> deptIds;

    @ApiModelProperty("排除部门ID列表")
    private List<Long> excludeDeptIds;

    @ApiModelProperty("负责人名称")
    private String leaderName;

    @ApiModelProperty("负责人ID")
    private Long leaderId;
}
